=== debian/changelog ===
mx44.2 (1.0-0~precise1) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Tue, 15 May 2012 01:49:53 +0100
