=== debian/control ===
Source: mx44.2
Section: sound
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7),
  libasound2-dev, libjack-dev, libgtk2.0-dev
Standards-Version: 3.8.4

Package: mx44.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mx44
Replaces: mx44
Description: polyphonic multichannel software synthesizer
 The Mx44 is a polyphonic multichannel midi realtime software synthesizer.
 It is written in C and hand optimized for the (Intel) MMX instruction set.
 .
 The core algorithm is a  4 x 4 crossmodulating matrix (phase and amplitude)
 with individual envelopes for each oscillator.
 Oscillators have individual frequency intonation, can emphasize any of the
 eight first harmonics and even do some internal crossmodulation.
 Envelopes can be switched between VCA and a VCF-like mode.
 The sustainloop of the envelope can be brought into oscillation in the
 audible spectre as well as provide slow LFO sweeps.
 Also, key and velocity modifications of phase relationship.
