=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

override_dh_auto_build:
	$(MAKE) -C src

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/mx44.2/usr/bin/
	$(MAKE) install -C src PREFIX=$(CURDIR)/debian/mx44.2/usr/

override_dh_auto_clean:
	$(MAKE) clean -C src

%:
	dh $@
